﻿using FAuth.DataBase.Tables;
using Microsoft.EntityFrameworkCore;

namespace FAuth.DataBase
{
    /// <summary>
    /// 数据库
    /// </summary>
    public class FAuthDb:DbContext
    {
        public FAuthDb(DbContextOptions options) : base(options) {
            Database.EnsureCreatedAsync().Wait();
        }
        /// <summary>
        /// 用户表
        /// </summary>
        public DbSet<FUser> Users { get; set; }
    }
}
